{% extends 'base.html' %}
{% load static %}

{% block title %}Dashboard: COVID-19{% endblock title %}

{% block main %}
<div class="wrapper">
    {% include 'sidebar.html' %}
    <div id="content-page" class="content-page">
        {% include 'navbar.html' %}
        <!-- TOP Nav Bar END -->
        <div class="container-fluid">
        <div class="row">
            <div class="col-lg-12">
                <div class="iq-edit-list-data">
                    <div class="tab-content">
                    <div class="tab-pane fade active show" id="personal-information" role="tabpanel">
                        <form action="" method="post">
                            {% csrf_token %}
                            <div class="iq-card">
                                <div class="iq-card-header d-flex justify-content-between">
                                    <div class="iq-header-title">
                                        {% if type == 'create' %}
                                        <h4 class="card-title">Добавить пациента</h4>
                                        {% else %}
                                        <h4 class="card-title">Подробная информация</h4>
                                        {% endif %}
                                    </div>
                                </div>
                            </div>
                            {% for form in forms %}
                            {{ form.media }}
                            <div class="iq-card">
                                <div class="iq-card-body">
                                        <div class="row align-items-center">
                                            {% for field in form %}
                                                <div class="form-group col-sm-4">
                                                    {{ field.label_tag }}
                                                    {{ field }}
                                                </div>
                                            {% endfor %}
                                            <table style="display: none">
                                                {{ view.formset.empty_form }}
                                            </table>
                                            <table>
                                                {{ view.formset }}
                                            </table>
                                        </div>
                                </div>
                            </div>
                            {% endfor %}
                            <div class="iq-card">
                                <div class="iq-card-body">
                                    {% if type == 'create' %}
                                    <button type="submit" class="btn btn-primary mr-2">Создать</button>
                                    <button type="reset" class="btn iq-bg-danger">Отмена</button>
                                    {% else %}
                                    <button type="submit" class="btn btn-primary mr-2">Сохранить</button>
                                    {% endif %}
                                </div>
                            </div>
                        </form>
                        <style>
                            .required_label:after {
                                content: " *";
                            }
                        </style>
                        <script>
                            $(function() {
                                $('#add-form').click(function() {
                                    var index = $('#id_inline_test_models-TOTAL_FORMS').val()
                                    var newTable = $('#id_inline_test_models-__prefix__-DELETE').parents('table').clone()
                                    newTable.find(':input').each(function() {
                                        for (attr of ['name', 'id'])
                                            $(this).attr(
                                                attr,
                                                $(this).attr(attr).replace('__prefix__', index)
                                            )
                                    })
                                    newTable.insertBefore($(this))
                                    $('#id_inline_test_models-TOTAL_FORMS').val(
                                        parseInt($('#id_inline_test_models-TOTAL_FORMS').val()) + 1
                                    )
                                    newTable.slideDown()
                                })
                            })
                        </script>
                    </div>
                    </div>
                </div>
            </div>
        </div>
        </div>
        {% include 'footer.html' %}
    </div>
</div>
{% endblock main %}